Supporting, training and providing Autodesk solutions to the architectural, civil, structural and design industries
Tech support
Subscribe Cadplan Accommodation


Google Custom Search
Cadplan Cadplan
Cadplan Solutions Cadplan Training Cadplan Support Cadplan Events Cadplan Promotions Cadplan Resources Cadplan Contact us Cadplan
Cadplan
 
Architectural resources
Associations / organizations
Blogs
Books
Downloads
Green resources
Jobs
News / articles
Newsletters
Techforums
Tips & tricks






Success Stories

MBH Architecture
MBH Architecture

"Another advantage is Revit saves us enormous amounts of time. Information is always readily available with a parametric building information model, there is no updating of sections since you are always working in a live model. If I want a section, it takes me four seconds and there it is. Normally it would take us two days to figure out the section!" - Manus
line
PDF MBH Architecture
line
See more


AutoCAD tips & tricks



2D

Create static 2D representations of 3D models
To create static 2D representations of a 3D model, you can use any of the following commands: SOLPROF, FLATSHOT, SECTION, and SECTIONPLANE. Each of these commands are useful under different circumstances.
Author:
Dieter Schlaepfer - Autodesk

3D

3D configuration in AutoCAD 2007
The 3DCONFIG command was substantially extended in AutoCAD 2007 and allows more detailed settings for 3D display and degradation of 3D scenes.
You can also verify the certification of your 3D graphics card for AutoCAD 2007.
Author: CAD Forum - http://www.cadforum.cz/

3D solid model tip

Save intermediate stages of any 3D solid model that you create. This allows you to recover from errors more easily, retrieve components for analysis, and use a common starting point for several versions of the design.
Author: Dieter Schlaepfer - Autodesk

Check your work in 3D
When working in 3D, it is an excellent idea to check coordinates, distances, and lengths of objects frequently. This avoids creating new objects based on incorrect ones.
Author:
Dieter Schlaepfer - Autodesk

Check your layers when working in 3D
3D solid objects created from 2D polylines or regions are always created on the current layer, not the layers of the original 2D objects.
Author:
Dieter Schlaepfer - Autodesk

Color settings for working in 3D
When working in 3D, avoid using index color 7 (white) for 3D solids. Objects created with index color 7 are displayed as black or white depending on the current background color, and you are more likely to change the background color with 3D models than 2D drawings. For white objects, use a True Color setting of 255,255,255 instead.
Author:
Dieter Schlaepfer - Autodesk

Create a planar surface in 3D
Use the PLANESURF command to create a planar surface by either selecting one or more objects that form one or more enclosed areas or by specifying the opposite corners of a rectangle.
Author:
Karyn Reynolds - Autodesk

Creating groups in 3D
When you need a temporary association of several 3D solids as an assembly or unit, assign the solids to a group.
Author: Dieter Schlaepfer - Autodesk

Create walls in your 3D model
Use the POLYSOLID command to create walls in your 3D model. A polysolid is drawn the same way you draw a polyline. By default, a polysolid always has a rectangular profile, but you can add curved segments with the Arc option.
Author: Karyn Reynolds - Autodesk

Make your 3D models semi-transparent
For a fast method to make a 3D solid model semi-transparent, click the X-ray Mode button on the Visual Styles control panel of the dashboard.
Author:
Dieter Schlaepfer - Autodesk

Making 3D DWG files smaller
By setting the SOLIDHIST variable to 0 you can make your DWG files (containing edited 3D solids) a bit shorter.
In a default setting, AutoCAD saves the editing history of 3D solids - i.e. the individual creator-objects (intersection, subtract...) for easier later re-editing. If you don't need this history, you can disable it using SOLIDHIST, with the BREP command or through the "History" setting in the Properties window (Ctrl+1).
Author: CAD Forum - http://www.cadforum.cz/

Reducing visual clutter in 3D views
When working in 3D, it is usually easier to create solid models and avoid errors by turning shading on to reduce the visual clutter in 3D views.
Author:
Dieter Schlaepfer - Autodesk

Retain your 2D reference geometry and construction lines when working in 3D
When working in 3D, always retain 2D reference geometry and construction lines. These objects will be very handy for future additions and changes. If you want to retain the original 2D objects when you generate 3D solids, you can set the DELOBJ system variable to 0 (off).
Author:
Dieter Schlaepfer - Autodesk

Snapping while working in 3D
When working in 3D, it is very easy to snap to the wrong feature. Always zoom in to magnify object snap locations that are in close proximity to each other. The zoom feature on a wheel mouse makes this easy and dynamic.
Author: Dieter Schlaepfer - Autodesk

Step and speed settings for 3D Walk and 3D Fly
The parameters for the interactive W-A-S-D keyboard walkthroughs can be set in the WALKFLYSETTINGS command (dialog).
Author: CAD Forum - http://www.cadforum.cz/

Undocumented option in AutoCAD 3D editing commands
Some AutoCAD 3D editing commands (e.g. FILLET) support an undocumented option RESFIT (resolution fit).
Try to answer the prompt "Select an edge or [Chain/Radius]:" with the keyword RESFIT. AutoCAD then uses the value of internal resolution from its 3D modelling kernel ACIS/Shapemanager. Works in AutoCAD 2007, 2006, 2005, 2004.
Author: CAD Forum - http://www.cadforum.cz/

Using blocks in 3D to enhance performance
When working in 3D, you can reduce the size of a drawing file by converting repetitive 3D solids into blocks. For example, for landscaping you can save a 3D representation a tree as a block and then insert it multiple times.
Author:
Dieter Schlaepfer - Autodesk

Using grip tools in a 3D view
You can use grip tools in a 3D view to constrain the movement or rotation of objects to an axis or a plane. You display grip tools with the 3DMOVE or 3DROTATE commands or by clicking the 3D Move or 3D Rotate buttons on the dashboard.You then select the objects and subobjects you want to move. Click to place the grip tool, specifying the base point for the move or rotation. Hover the cursor over an axis handle on the grip tool until it turns yellow and the vector displays, and then click the axis handle. Click or enter a value to specify the distance of the move or the angle of rotation.
Author: Karyn Reynolds - Autodesk

Using layout viewports in 3D
When working in 3D, you can use a layout tab as a modeling environment. Layout viewports have the additional capability of displaying different sets of layers. So, for example, you can work with two viewports: one that displays 3D solids and the other that displays only profiles and reference geometry.
Author:
Dieter Schlaepfer - Autodesk

When working in 3D, delay filleting and rounding edges of 3D solids until the very end
When working in 3D, delay filleting and rounding edges of 3D solids until the very end. You will find that sharp edges and corners are often needed as reference locations to create, move, copy, and mirror other objects.
Author: Dieter Schlaepfer - Autodesk

Working efficiently in 3D
When working in 3D, it is extremely important to use multiple layers dedicated to organizing and managing the display of 3D models. You can then turn unneeded layers off to reduce the visual clutter in the model.
Author:
Dieter Schlaepfer - Autodesk


Blocks

Defining attributes for blocks

When defining attributes for blocks, ensure attribute setting 'CONSTANT' is not set to 'YES'. This will ensure that visible attribute text will remain readable when rotated or mirrored.
Author: Kevin Hennedy - Brew & Corkill

Dynamic block bug
If you insert a Dynamic block containing Attributes into your drawing. Next take the block and change a Dynamic block parameter, a linear rotate anything to modify the block. Now take that block and simply mirror it to the right, left, top or bottom of your drawing. Now select the newly created object from the mirror operations and use the COPY CLIP command, CTRL+C or edit pull down and COPY. Once your block is stored in the clipboard next switch over to a different drawing and paste the block into the drawing. You'll notice that ALL your attributes now show backwards. The only way I've been able to get a block into another drawing when it was mirrored is to XREF in the entire sheet into another drawing then use the BIND and INSERT option.
Author: Mark Douglas - In the dynamic interface - http://mdouglas.blogs.com/

Extract attributes from blocks
Use the Attribute Extraction feature to extract attributes from blocks into various output formats (AutoCAD table, Excel spreadsheet, Access database, text file). ("Tools->Attribute Extraction…").
Author:
Chaffee Vo-Vu - Autodesk

How to quickly create an anonymous block?
The easiest way to create an anonymous (unnamed) block in your drawing is to use the command sequence COPYCLIP and PASTEBLOCK. You can add the following macro to your toolbar: ^C^C_copyclip;_pasteblock
Author: CAD Forum - http://www.cadforum.cz/

Why does AutoCAD insert my blocks in wrong scale?
Blocks and Xrefs contain their insertion unit settings, which are used for automatic scale conversion when they are inserted/attached to a drawing using other units. These units are defined in the INSUNITS (default units), INSUNITSDEFSOURCE (source units) and INSUNITSDEFTARGET (target units) variables.
In older AutoCAD versions, these variables were used only for the block inserts/drags from DesignCenter. AutoCAD 2006 (and higher) uses them for all methods of insertion of blocks, xrefs and images.

If your blocks are inserted in an improper scale (e.g. 0.254, 10 or 1000), you have probably wrong (different) settings of your block insertion units. Set INSUNITS e.g. to 0 (unitless) - then both the INSUNITSDEFxxxx variables will apply - set them also to 0 (other settings apply when dealing with AEC drawings).
Author: CAD Forum - http://www.cadforum.cz/


Camera

Changing the camera elevation in Walk and Fly mode

In Walk and Fly mode, you can click the mouse wheel button and move the mouse forward and backward to change the elevation of the Camera location.
Author: KB Lee - Autodesk


Commands

GTLOCATION system variable

If you set the GTLOCATION system variable to 1, the Grip Tool will automatically align itself to the Entity Coordinate system of the last entity selected (including solid subentities selected while holding the CTRL key). Help topic: "Understand Grip Tools".
Author:
Chaffee Vo-Vu - Autodesk

Impossible to use the Pan function with Logitech mouse
Turn off any special mouse wheel settings with the mouse icon in the Windows Control Panel. Under the Buttons tab set "Use MS office Compatible Scroll", or the midlle-button setting to "Middle button".
Make sure your AutoCAD MBUTTONPAN variable is set to 1 (on).

You can also try to hold the CTRL key while Zooming.
Author: CAD Forum - http://www.cadforum.cz/

Scale action
When using the scale action on a linear parameter, make sure that the action is "independant" from the linear stretch. If you do not do this, your scale will be off.

Setting pagesetup for multiple layouts
If you want to assign page setup (_pagesetup) for multiple layout tabs, you can use a short LISP utility multi-pagesetup. Just load the routine (_APPLOAD command) and run it using:
(multi-pagesetup "mypagesetup" "myprinter")

To assign the setup only to the selected layouts, replace in the code the function (layoutlist) with a list of requested layouts - e.g. '("Layout8" "Layout9" "Layout10") .
Author: CAD Forum - http://www.cadforum.cz/

Speed up your commands
In addition to being able to repeat a command by simply pressing return or the space bar, you can scroll through your previous commands by using the up-arrow and down-arrow keys, thus eliminating the need to re-type long commands and system variables.
Author: Christian Gonsalves - Gardner Stewart Architects

Stretch action
You can modify & LOCK the DIRECTION of the stretch action in the properties box under 'distance type'!

The "Number of copies" selection is grayed out.

The "Number of Copies" box in the Publish dialog is disabled when you are publishing to a DWF or other file format - you can specify copies only for true printers/plotters.
Please note that you can always set the number of copies also in the respective printer driver (Windows > Start > Printers).
Author: CAD Forum - http://www.cadforum.cz/

Toggling ORTHOMODE

To temporarily toggle ORTHOMODE, press and hold the SHIFT key. Help topic: "Add Shortcut Keys and Temporary Override Keys".
Author:
Chaffee Vo-Vu - Autodesk

Using 3DORBIT

When working in 3D, specify views from several angles with 3DORBIT to select objects easily and to avoid mistakes due to visually overlapping edges.
Author:
Dieter Schlaepfer - Autodesk

Using Axis Endpoint

You can use the Axis Endpoint option of the CONE or PYRAMID commands to determine the height and orientation of the cone or pyramid. The axis endpoint is the top point of the cone or pyramid or the center of the top face if the Top Radius option is used. The axis endpoint can be located anywhere in 3D space.
Author:
Karyn Reynolds - Autodesk

Using BOUNDARY

When using the BOUNDARY command, turn off unnecessary layers and zoom into the area of the boundary to be created. This speeds up the operation by reducing the number of objects to be processed.

Always make sure that the XY plane of the UCS is in the same plane as the objects to be used to create the boundary.
Author: Dieter Schlaepfer - Autodesk

Using EXTEND

When extending or trimming a line, instead of picking boundry point just hit the space bar again and extend or trim to the nearest line.
Author:
Matt Minnick - Safety Systems, Inc.

Using FLATSHOT

With the FLATSHOT command, you can create a flattened view of all the 3D solids in the current view.
Author: Karyn Reynolds - Autodesk

Using MOVE

To move an object - left click on any grip and hit the space bar and the move comand will be activated.
Author: Naman Dev Garg - John S. Graves & Associates Architects

Using purge
Select groups of entities to purge in the Purge Dialog box. Just select an item and hold the CTRL key to select other items.
Author: Steve Green - Automated Systems of Tacomarface

Using OTRACK and POLAR in 3D
When working in 3D, turn off DUCS when you need to use object snap tracking (OTRACK) or polar tracking (POLAR).
Author:
Dieter Schlaepfer - Autodesk

Using SECTIONPLANE
With the SECTIONPLANE command, you can create a section object that acts as a cutting plane through solids, surfaces, or regions. If you turn on live sectioning, moving the section object throughout the 3D model in model space reveals inner details in real-time.
Author:
Karyn Reynolds - Autodesk

Using SWEEP
Use the SWEEP command to draw a solid or surface in the shape of a specified profile (the swept object) along the specified path. You can sweep more than one object, but they all must lie on the same plane.
Author:
Karyn Reynolds - Autodesk

Using Top Radius
Use the Top Radius option of the CONE or PYRAMID commands to create a cone or pyramid frustum, which tapers to a planar face.
Author:
Karyn Reynolds - Autodesk

Working faster with 3DORBIT

When working in 3D, if you need to see only a few objects in a model when changing a view, select the objects before starting 3DORBIT. Only the selected objects will be visible when changing the view.
Author:
Dieter Schlaepfer - Autodesk


Communication center

Disable the Communication Center
WARNING! Changes made to the registry may cause damage to your operating system. Perform the following task at your own risk. We are not liable for any damage or corruption to your computer related to any article published.

Annoyed by a constantly resident satellite program called "Communication Center" (WSCommCntr1.exe)? If you want to prevent it from running, here is what you do:

  1. Start button-->Run--> regedit.exe
  2. Search for the following location: HKEY_LOAL_MACHINE --> SOFTWARE --> AUTODESK --> R16.1 --> ACAD-301:409 --> CADMANAGER CONTROL --> COMMUNICATION CENTER
  3. Right-click on "EnableCommunicationCenter" and choose modify.
  4. Change the value data from 1 to 0 (zero).
  5. Perform step #4 on the following as well: "EnableNonPatchNotifications" and "MaintenancePatchNotificationOption"

That's it! Restart your computer and voila, WSCommCntr1.exe is not running.
Author: John Deer - http://themadcadder.blogs.com/


Copy

Copy with a base point
Copy with a base point the simple way; 'Ctrl+Alt+C' then select your base point, 'Ctrl+V' to paste.
Author: Chris Holbon - PLACE ARCHITECTURE


Co-ordinates

Pressing up-arrow repeats also the entered coordinates. Why?
Scrolling history of previous commands with the up/down cursor arrows now (since AutoCAD 2006) displays also past coordinates (X,Y). If you don't want to repeat coordinates from the history buffer, set the INPUTHISTORYMODE variable (e.g. to 0 - see AutoCAD Help).
Author: CAD Forum - http://www.cadforum.cz/


Dimension

How to place dimensions or hatches automatically to preset layers?
If you want to draw your dimensions, hatches or text always to fixed predefined layers, you can use several methods how to do this in plain AutoCAD (vertical AutoCAD versions offer this function automatically):

  1. you can customize (no programming) your AutoCAD toolbars so that the dimension functions will always start with a layer switch command
  2. place dim commands or hatch patterns onto a user Palette (Ctrl+3) and in the properties of these items (rt-click, Properties) set the given value for the Layer property
  3. use a .LSP program to redefine (_UNDEFINE) the _DIMxxxx commands so that they will always start with a layer switch command (_-LAYER)
  4. attach a reactor to the dimensioning commands which will automatically switch to a specified layer (and then switch the layer back)
  5. you can also change layer ex-post - use QSELECT or the Properties window to select all dimensions and then change their Layer property to the target layer.

Probably the most effective way are the palettes and reactors. As an example of such reactor you can use the free utility AutoLay (see http://www.xanadu.cz/en/download.asp?file=AutoLay), which places all drawn dimensions, hatches and texts to fixed predefined layers. Just load the LISP utility into AutoCAD (APPLOAD) and switch it on with the AutoLay command.
Author: CAD Forum - http://www.cadforum.cz/

Switch between dimension styles

The following macro allows you to switch between dimension styles by clicking on a dimension: ^C^C-DIMSTYLE;R; \GRAPHSCR
Author:
David Haertl - Thompson Engineers, Inc


Drawing

Is drawing linked to a sheet set? If it is, how to determine the name and path of the corresponding DST file?
Since AutoCAD® 2005, drawings can be administered in the Sheet Set Manager. Multiple DWG files can be registered in a sheet set and saved as a DST file. A single DWG file can only be attached to one sheet set at a time. It may be useful to determine the sheet set (and the corresponding DST file) when you only have access to the DWG file. To determine what sheet set is attached to the drawing, open the DWG file and enter SSFOUND on the command line. This will return the name and the path of the sheet set that is linked to the drawing. If the drawing is not linked to a sheet set, the SSFOUND command will not return a value.


DWF

DWF Underlay
Fade and contrast DWF Underlay object properties controls dims the lines towards the background color which helps to differentiate the DWF Underlay object with Drawing entities while plotting.
Author:
Mathavan Arugalaimuthu - Autodesk

DWF Underlay Search Path
If the drawing has DWF reference file in Start-in folder (My Document) the search order is always start-in folder, Current document folder, Project name folder and support file search path.
Author:
Mathavan Arugalaimuthu - Autodesk

How to change a color DWF underlay to black-and-white?

If your underlaid color DWF is hard to read, you can easily change it do display as monochrome. Use the DWFADJUST command, select the DWF underlay and choose Monochrome, Yes.
You can also set Monochrome in its Properties window (Ctrl+1).
Author: CAD Forum - http://www.cadforum.cz/

Naming your multi-sheet DWF

In the Publish dialog, users have the option to specify file name for publication of multi-sheet DWFs. Click on "Publish options" and select "Specify name" in the "DWF naming" dropdown" in "Multi-sheet DWF options".
Author:
Chin-Wee Ong - Autodesk

Publishing 3D DWF
To avoid getting "!Will not publish" error status in Publish dialog when publishing 3DDWF, check "DWF file" in the "Publish to" group. If this option is not selected, 3DDWF cannot be published.
Author:
Chin-Wee Ong - Autodesk

Publish 3D DWF without a dialog

You can publish 3D DWF without the use of dialogs by setting FILEDIA to 0 and command EXPORT. Enter file name followed by .DWF as extension.
Author:
Chin-Wee Ong - Autodesk

Publishing materials in a 3D DWF

To publish materials with 3DDWF using the Publish dialog, click on Publish options and select Yes for Publish with materials in the 3D DWF options frame group.
Author: Chin-Wee Ong - Autodesk

Representing curved surfaces in 3D DWF
To improve smoothness of 3D DWF models representation of curved surfaces, system variable 3DDWFPREC and increase the value.
Author:
Chin-Wee Ong - Autodesk

Selecting individual objects to publish in a 3D DWF
Users can select individual objects, even within x-ref objects, in model space to publish. Command 3DDWF. Click Tools button followed by Options. In there, there is a button for selecting individual objects to publish.
Author:
Chin-Wee Ong - Autodesk


DWG


Attaching a voice message to a DWG drawing
You can easily attach an audio note (comment, sound) to your AutoCAD drawing.
Take an existing file in an audio format - WAV, MP3, MID, M4A, etc., drag it with your mouse from Windows Explorer (or other file manager) to an arbitrary place in your AutoCAD drawing. You can also use the INSERTOBJ command to insert the audio recorded OLE object.

The audio recording can be subsequently replayed by double-clicking on the OLE2 object icon (usually a loud-speaker).
Author: CAD Forum - http://www.cadforum.cz/

Copy/Paste fails in a DWG2000 file saved from AutoCAD 2007
When you open a DWG file (in the DWG2000 format), saved from AutoCAD 2007, in AutoCAD 2000, 2000i, or 2002, the clipboard functions Copy, Paste and Cut may fail. Apply the ACDB17.DLL fix for AutoCAD 2007 - see www.xanadu.cz/download.
Author: CAD Forum - http://www.cadforum.cz/

How to convert a DWG file to PDF without AutoCAD?
The most reliable way to print/plot a DWG drawing to PDF without AutoCAD is to use the free Autodesk DWG TrueView viewer. DWG TrueView 2007 supports also plotting to the PDF format (select printer/plotter: "DWG to PDF.pc3").
So you don't need to buy or download any special CAD utility anymore...

Autodesk DWG TrueView can be downloaded e.g. from www.xanadu.cz/download
Author: CAD Forum - http://www.cadforum.cz/

Which DWG versions can be saved from AutoCAD 2007 ?
AutoCAD 2007 uses a DWG format. With the Save As command you can also save to the AutoCAD 2006, 2005, 2004, 2002, 2000i, 2000 and R14 DWG file formats.
For older versions use DXF or the "Autodesk DWG TrueConvert" utility (see www.xanadu.cz/download).
Author: CAD Forum - http://www.cadforum.cz/


Edit / trim

Edit and Trim with one click
One-click versions of Edit and Trim were new to me in LT98 and seemed to disappear in later versions. 1-click edit and trim automatically define the boundaries so that all you need to do is touch the line once to either extend to nearest line or trim from nearest line(s). The best way to use these quick versions of Edit and Trim are at the top of your default shortcut menu for the mouse right-click. To do this go to Tools/Customization/Interface window. Under you CUI files, look for the ALCT/ShortcutMenus/DefaultMenu Open it an you will see all your commands in order as they appear when you perform a default right-click with nothing gripped or activated. From the Command List below drag and drop Trim and Edit so that they appear after the second "star" with two dashes. Then highlight "trim" and go the macro line shown to the right and add a space and semicolon to the command string. So the command for trim normally reads (^C^C_trim) not including hte parenthesis. But you want (^C^C_trim ;). Do the same for extend. Click apply and close window and go back to work screen. Then try it out by drawing a quick 5-point star and use the trim function. Once you get the hang of it you can really save time.
Author:
Cameron Fultz - CB Anderson Architects

Editing primitive forms within composite solids
You can select the original individual forms of a composite solid by holding down the CTRL key. If the original solid form is a solid primitive, grips are displayed that allow you to change shape and size of the primitive form within the composite.
Author:
Karyn Reynolds - Autodesk

Trimming and extending near text
When trimming and extending objects, turn off the layers of any nearby text objects. The text bounding boxes of multiline text can be much larger than the text itself and can act as unexpected boundary edges.
Author:
Dieter Schlaepfer - Autodesk


Errors

Error 1935 or Error 1603 while installing DWG TrueView.
[Error: 1603] Fatal Error MSXML2
Update your PC (WinXP and MSIE) using the online service "Windows Update".

This error can be caused also by a problem in the Windows Installer service or by limited disk space in the Windows TEMP folder.
Author: CAD Forum - http://www.cadforum.cz/

Error DBX CAS 4

(or DBX CAS 0, DBX CAS 6)
DBX error-types are reported by the ObjectDBX library. They often come from 3rd party add-on applications, especially from LT applications.

Always apply tha latest Service Packs for your Autodesk CAD application (and possibly also for the add-on). This error can be also caused by a HW problem or collision with another running application or driver.
Author: CAD Forum - http://www.cadforum.cz/

FATAL ERROR: Commands may not be nested more than 4 deep
This error means that an ARX, ADS, or LISP function calls repeatedly (recursively) an internal AutoCAD command or (usually) that an externally defined function (e.g. ALIGN, EATTEDIT, ATTSYNC, etc.) is called (invoked) improperly.
E.g. use (align...) instead of (command "ALIGN"...), or (acet-attsync ...) instead of (command "ATTSYNC"...).
Author: CAD Forum - http://www.cadforum.cz/


Files

Where can I find the missing GENLTSHP.SHX file?
This small Genius shape symbol file can be downloaded e.g. from www.xanadu.cz/download.
Author: CAD Forum - http://www.cadforum.cz/


Filters

How to copy named filters to another computer?
Definitions of named filters defined in the FILTER command are saved to the text file filter.nfl. This file is located in the local working directory (e.g. C:\Documents and Settings\username\ApplicationData\Autodesk\
AutoCAD2007\R17.0\enu\Support\filter.nfl).
To copy the definitions between PCs copy this file or a part of its content.
Author: CAD Forum - http://www.cadforum.cz/

Using coordinate filters
When working in 3D, you can use coordinate filters to drop a perpendicular line from a 3D feature to the XY plane of the UCS. Enter the Line command, specify the first point, and then enter .xy of @ (need Z) 0.
Author:
Dieter Schlaepfer - Autodesk


Grip

Grip Tool constraints
Once a Grip Tool constraint has been activated, you can press the spacebar to cycle between stretch, move, and rotate modes similar to grip editing modes. Help topic: "Understand Grip Tools".
Author:
Chaffee Vo-Vu - Autodesk

Repositioning the Grip Tool
The Grip Tool can be repositioned by clicking on it's base grip. While repositioning the Grip Tool, you can press the spacebar to cycle between the Move and Rotate Grip Tools. Help topic: "Understand Grip Tools".
Author:
Chaffee Vo-Vu - Autodesk

Understand Grip Tools
When manipulating an entity using the Move Grip Tool and clicking on a planar constraint, all coordinate entry will be relative to the Grip Tool's base point so the "@" symbol can be omitted when entering coordinates. (eg: entering "5<45" is equivalent to "@5<45"). Normal drafting aids can be used (eg: polar tracking, OSnaps, OSnap tracking, etc.) Help topic: "Understand Grip Tools".
Author:
Chaffee Vo-Vu - Autodesk

Using the new Grip Tool
Use the new Grip Tool feature while grip editing to manipulate grips along a constrained axis or plane. Note: to use the Grip Tool, your Visual Style must be set to 3D wireframe or higher. Help topic: "Understand Grip Tools".
Author:
Chaffee Vo-Vu - Autodesk


Importing

How to import DWG files from AutoCAD 2007 to 3ds max 8?

Compatibility of 3ds max 8 with the new file format DWG2007 - i.e. drawings from AutoCAD 2007, ADT2007 etc. - is established by Service Pack 3 and the "RealDWG 2007" update.
SP3 and RealDWG 2007 for 3ds max 8 can be found e.g. on the page www.xanadu.cz/download.
Author: CAD Forum - http://www.cadforum.cz/


Improving performance

Improving performance while using Attribute Extraction
If you're noticing performance issues while using the Attribute Extraction auto-update notification feature (typically in very large drawings), you can temporarily disable attribute monitoring by clicking on the Attribute Extraction icon in the system tray and unchecking the "Enable Notifications for Out-of-Synch Table Data". This will be re-enabled automatically when you re-open the drawing later or you can re-enable it manually.
Author:
Chaffee Vo-Vu - Autodesk

Restricting rollover highlighting to improve performance
Try setting the SELECTIONPREVIEW system variable to 2 if the rollover highlighting functionality degrades performance in large drawings. This will restrict rollover highlighting to only be active when prompted for object selection from within a command. This can also be set from "Options->Selection->Selection Preview group".
Author:
Chaffee Vo-Vu - Autodesk


Keys

Using shortcut keys and Temporary Override Keys
If you frequently find yourself temporarily changing settings from within a command, review the the "Add Shortcut Keys and Temporary Override Keys" help topic. This feature allows you to press and hold function keys and SHIFT key combinations to temporarily toggle system variable settings (eg: OSMODE, ORTHOMODE, AUTOSNAP, UCSDETECT, DYNMODE, etc). Custom Temporary Overrides can be configured from the CUI.
Author:
Chaffee Vo-Vu - Autodesk


Layers

Controlling the list order of layers
To control the list order of layers, use a two or three digit prefix to each layer name. Assign a range of numbers to a layer category, leaving unused numbers to insert new layers in the list.
Author:
Dieter Schlaepfer - Autodesk


Lighting

Global Illumination Hints
Reduce the number of Photons/Light to speed up the Global Illumination process when rendering draft images. When rendering the final version you can increase its value until you reach good quality x speed. When using Radius, make sure they are large enough so that the GI dots blend among each other. If the radius is too small, you’ll need to use a much higher number of Photons and that will slow down the render time.
Author:
Karyn Reynolds and Alexander Bicalho

Use Attenuation or Limits to control the intensity of your lights
When using Lights in AutoCAD 2007, make sure they have either attenuation or limits. Without using those effects, the light will have full intensity in all objects regardless of the distance of the objects from the light. If you use attenuation, the light intensity will be reduced based on the distance. If you use limits, you’ll be able to specify where the light starts and stops, giving you full control over the intensity and effect of your lights.
Author:
Karyn Reynolds - Autodesk


Lines

How to convert thick polylines to 3D solids?
Polylines with fixed width, closed polylines and circles can be converted (if the have non-zero thickness) to extruded 3D solids. Use the CONVTOSOLID command.
Author: CAD Forum - http://www.cadforum.cz/

Joining lines to polylines

If you want to add lines to a polyline you could use the polyline edit command or you could use the FILLET command because when you fillet a polyline to a line they will automatically join. Refer to the help files on the FILLET command for additional options.
Author:
Alex March - Terrain Consultants

Reduce thick and blocky lines

If lines appear thick and blocky try reducing the displayed linetype scale: - Tools -Options --User prefences ---Lineweight Settings -Adjust the display scale slider to a minimum or click the display lineweight tick box off.
Author: Lee Corstorphine - BBC Fire Protection


Loading AutoCAD faster

Make AutoCAD faster
Another trick to make AutoCAD run a little faster is to set your Anti Virus software to IGNORE AutoCAD extensions like: DWG, LSP, DCL, ARX, CHM, etc
Author: murrayc.49304

Open AutoCAD faster - Disable the Digital Signature Validation Options
If you find that it takes a long time for AutoCAD or any other Autodesk application to load you may want to look at the following:

  1. On your desktop, right-click on any Autodesk Icon (i.e.: AutoCAD) and pick "Enable/Disable Digital Signature Icon".
  2. In the "Signature Validation Options" dialogue box, uncheck "Display digital signatures and display special icons".
  3. Restart your computer.

    What does this do? Well, Autodesk applications loads a shell extension which determines if a file is digitally signed by displaying a specific icon. To determine whether a file is digitally signed, the shell extension looks into each drawing file before displaying it. If a folder contains many drawings, like your template folder, it will take longer to open.

Author: The Mad Cadder - http://themadcadder.blogs.com/

To make autocad load faster
You can also right click and add the: /nologo to the end of the shortcut on your desktop to prevent it from displaying when you access the program via your shortcut. BTW, this doesn't seem to affect anything when you load the program by double clicking a dwg file.
Author: Hobbes Jboatwright@jsisurveyors.com


Maps

Making your bump maps bumpy
If your bump maps don’t look bumpy enough, check the setting on your bump map slider carefully. It goes from -1000 to 1000 (unlike other material map sliders, which go from 0 to 100.)
Author:
Shana Priwer - Autodesk

Shadow Maps
When using full shadows, note that spot lights are the most efficient type of light for casting shadows. Shadows generated by distant lights can take up to four (4) times at long to render, and shadows generated by point lights can take up to six (6) times as long as spot lights. The same factors apply to the amount of video memory used by the various light types.
Author: Sam Black - Autodesk


Materials

A quick workaround for some materials

There are a few materials in the Materials Tool Palettes whose translucency parameters may not be saved correctly; these are ones with an & in the name. Quick workaround: make a new material with the same parameters and same bitmap, but eliminate all ampersands from the material and/or bitmap name. Place it back in your tool palette for easy use later.
Author: Shana Priwer - Autodesk

Adjusting properties of an assigned material
Remember that after you’ve assigned a material tool from the Tool Palettes to an object in your scene, the current copy of that material now lives in the Material Editor. If you need to adjust tiling or any other aspect of that assigned material, do it from the Material Editor, not Tool Palette Properties.
Author:
Shana Priwer - Autodesk

Applying materials

To apply a material per face of an AutoCAD object, hold down CTRL as it is applied to the face.
Author:
Robert Finch - Autodesk

Attaching materials

The fastest way to assign a material to a layer is to open the Material Attachment Options dialog (click the Attach by Layer button in the Materials control panel of the dashboard.) Simply drag your created material from the left panel, onto the layer name in the right panel. You can also invoke the Material Attachment Options dialog by typing MATERIALATTACH at the command prompt.
Author: Shana Priwer - Autodesk

Looking for your additional Material Library content?

Looking for your additional Material Library content? If you don’t see a Material Library tool palette group, right-click on the Tool Palettes titlebar and go to Customize Palettes. Drag all the palettes ending in “ – Material Library” on the left side (Palettes) into the Material Library palette group on the right side. Close the Customize dialog, and your Material Library palette group will now be fully populated with additional content.
Author:
Shana Priwer - Autodesk

Missing materials in DWG drawings from older AutoCAD versions

If you render a drawing coming from an older version in AutoCAD 2007 and some materials are missing (not displayed) in the scene, run the old material conversion command - CONVERTOLDMATERIALS.
(Possible loading of a MLI file has to be performed in an older AutoCAD version.)
Author: CAD Forum - http://www.cadforum.cz/

Troubleshooting the Materials Editor

If all the objects in your scene are rendering black, open the Materials Editor and look at the Global Material. If its diffuse color is set to black, change it to another color by clicking the color swatch. If there is no color swatch available, unchecking ByObject will reveal it.
Author:
Shana Priwer - Autodesk

Using bitmapped materials on a polyface mesh
Bitmapped materials will render without the bitmap when assigned to a polyface mesh. As a workaround, try recreating the polyface mesh using some other type of object, such as a region or 3d face.
Author: Shana Priwer - Autodesk

Using Purge with the Materials Editor
A fast way to remove all the extra unassigned materials in your Materials Editor: use the Purge dialog.
Author:
Shana Priwer - Autodesk

Using the Materials Editor
Looking for a quick glass material? Or a quick metal? Open the Materials Editor and choose from the templates in the Template dropdown. These provide preset materials that are ready for use.
Author: Shana Priwer - Autodesk

Viewing transparent materials in the Materials Editor
Transparent materials will be easier to view in the Materials Editor with Checkered Underlay on (main toolbar underneath the row of swatches, second button from the left).
Author: Shana Priwer - Autodesk


Modes

How can I get back from the AutoCAD fullscreen mode (no menu, no titlebar)?
Enter the FULLSCREEN command (from Express Tools). Or press the Ctrl+0 key.
Author: CAD Forum - http://www.cadforum.cz/

Mouse tricks for Walk and Fly mode
In Walk and Fly mode, you can use the middle mouse wheel to do real-time Zoom and Pan in the Preview panel of the Position Locator. Mouse click in the Preview panel first, then use the middle mouse wheel to do real-time Zoom and Pan of the view in the Preview panel.
Author:
KB Lee - Autodesk

Temporarily enter Free Orbit mode
Press + key and click the mouse wheel button to temporarily enter Free Orbit mode (transparent 3DFORBIT). This can be used with or without an editing command.
Author:
KB Lee - Autodesk

Temporarily enter 3D Swivel mode
Press key and click the mouse wheel button to temporarily enter 3D Swivel mode (transparent 3DSWIVEL). This can be used with or without an editing command.
Author:
KB Lee - Autodesk

Temporarily enter Constrained Orbit mode
Press key and click the mouse wheel button to temporarily enter Constrained Orbit mode (transparent 3DORBIT). This can be used with or without an editing command.
Author: KB Lee - Autodesk


Moving

Moving bounded areas
You can press or pull bounded areas by pressing and holding CTRL + ALT, and then picking the area. The area must be bounded by coplanar lines or edges.
Author:
Karyn Reynolds - Autodesk

Move, rotate or scale subobjects of 3D Solids
When moving, rotating or scaling individual faces, edges or vertices of 3D Solid objects, the coordinates of the 3D Solid objects must not exceed 10,000. If they do, the operation cannot be performed. If you have 3D Solid objects that exceed this coordinate range, the work-around is to scale them down and move closer to the origin so that they fit within the 10,000 coordinate range limit.
Author:
Jiri Kripac - Autodesk


Objects

Changing properites of objects
If you want to the change the properties of all objects which are of one type eg. All hatches or All lines, but can't be bothered to use quick select - select everything in your drawing and call up the properties dialog box. At the top a dropdown box will say All(**) the stars are number. Now choose the dropdown box and it will list how many of each individual element is in your drawing. Now you can change the properties of those elements you want to change without affecting anything else.
Author: Howard Walker

Dimetry - dimetric projection of AutoCAD 3D objects

By default, AutoCAD offers only isometric and perspective projections. For dimetric representation of 3D scenes you can use the free utility by XANADU - DIMETRY. Dimetric projection (as a special case of axonometric view) employs projection angles of about 7/42 degrees.
Author: CAD Forum - http://www.cadforum.cz/

Having trouble while selecting objects?

Having trouble while selecting objects? If you find that selecting objects is limited to selecting one at a time, change the PICKADD system variable back to 1 (on). or select objects while pressing shift key.
Author:
Antony T. - Burt Hill

Organize x-ref objects
You can organize x-ref objects in hierarchical order. Click Tools menu in the "Export 3D DWF" dialog, followed by options. In there, check the "Group by x-ref hierarchy" check box. To organize x-ref objects in hierarchical order using the Publish dialog, click on Publish options and select Yes for Group by X-ref hierarchy in the 3D DWF options group.
Author:
Chin-Wee Ong - Autodesk

Replacing Landscape Objects
In order to replace Landscape objects you can create a flat surface (3DFACE, PLANESURF) and then assign a people/tree material assigned to it. The material should use an Advanced template and should have a black specular color. Assign the RGB image as the Diffuse Map and the Black & White image as the opacity map. Use “Fit to Object” in both maps and it’s ready to be rendered. Use WBLOCK to save it to your block library and you won’t have to re-create it again.
Author:
Karyn Reynolds - Autodesk

Selecting subobjects
When subobjects (faces, edges, and vertices) on solids are overlapping and selection preview is turned on, you can cycle through the subobjects by rolling over the subobject on top to highlight it, and pressing and holding CTRL and then pressing SPACEBAR continuously. When the required subobject is highlighted, left-click to select it.
Author:
Karyn Reynolds - Autodesk

Selecting subobjects on solids
You can select subobjects (faces, edges, and vertices) on solids by pressing and holding CTRL, and then selecting these subobjects.
Author:
Karyn Reynolds - Autodesk

Selection - cycling through overlapping objects in AutoCAD 2007
The Ctrl+click selection no longer works?
Since AutoCAD version 2007, you can select from the overlapping objects with the key combination Shift+spacebar (or from sub-objects with Ctrl+spacebar). The Ctrl-mouseclick combination is now reserved for sub-object selection on 3D objects (face, edge, vertex).

If you prefer the old (legacy) method, you can switch the LEGACYCTRLPICK variable to 1 and AutoCAD will behave as in the older versions.
Author: CAD Forum - http://www.cadforum.cz/

Using OLE objects
When Publishing multple layouts from a drawing that contains linked OLE objects, such as Excel spreadsheets, have the OLE link open before Publishing so that the Publishing will proceed without further user intervention. If the link is not open AutoCAD will stop the Publishing to ask for permission to open the link.
Author: Robert Cohen - Solar Energy Design, Inc


Parameter


Base point parameter
Add a base point parameter to your blocks. It comes in handy when using a flip action like on doors or windows. It will allow you to flip your block as well as where it inserts at.


PDF

Which version of PDF files is generated by AutoCAD 2007?
CAD applications of the AutoCAD 2007 family export version 1.4 PDF files (Adobe Acrobat 5; %PDF-1.4).
Author: CAD Forum - http://www.cadforum.cz/


Points

What's the point?
Points are used to align blocks and to set insertion points on a paper space template. A good point style is 35 and the size should be relative to your screen scale. PDMODE - change how points are displayed. PDSIZE - Set the size (mm) of the points Points are also created using the DIVIDE tool which splits a line into equal sections. Beware of points which you cannot see as they prevent you from erasing layers.
Author: Lee Corstorphine - BBC Fire Protection


Plot

Using the Plot Stamp
Adding a Plot Stamp is a good way to add a handy plot reference to a hard copy. However, each size of sheet will require adjustments to the Plot Stamp position. Using the Plot Stamp Settings dialogue box, configure the desired parameters. Each sheet size can be given its own position and saved to a unique file name; ie. a1.pss. This will ensure a quick and accurate position for each print.
Author: Kevin Hennedy - Brew & Corkill


Raster

Raster images disappearing during zoom/pan
Check the RTDISPLAY variable. The value 1 switches off raster display during zoom and pan.
Author: CAD Forum - http://www.cadforum.cz/


References

External References palette
To sort the list so the xrefs or images are all grouped together, use the 1st icon column (vs. the Type column). Using the Icon column will group together all the xrefs, images & dwf underlays. If you use the Type column it will group together the different types of xrefs (Attach & Overlay) & different types of images (JPG, BMP, GIF, etc.).
Author:
Karen Mason - Autodesk


Rotate

A tip for using rotate
When using the rotate option, if you select "Object Required" and then pick a point, then press "R" you get a reference point at which to rotate the desired object. This is very handy if an object is at an awkward angle and you want to rotate at a 90 degree angle.
Author: Dave Whelan - STONEFACINGS


Screen / resolution

Screen Revolution
Although making reading text on screen difficult without a magnifying glass, a high screen resolution can greatly improve the visibility of a drawing by packing more onto the screen much more clearly.
Author: Lee Corstorphine - BBC Fire Protection

Take full advantage of your screen space
If you like to take full advantage of your screen space, click on the Clean Screen button in the lower-right corner to run AutoCAD in fullscreen mode. Alternatively, you can use the CTRL+0 (zero) shortcut.
Author:
Chaffee Vo-Vu - Autodesk


Sectioning

Live sectioning
To turn on live sectioning, select a section object, right-click the section line, and click Activate Live Sectioning.
Author:
Karyn Reynolds - Autodesk


Settings

Changing the visual effects of selection and rollover highlighting
Want to change the visual effects of selection and rollover highlighting? Advanced settings can be found in "Options->Selection->Selection Preview group->Visual Effect Settings…"
Author:
Chaffee Vo-Vu - Autodesk


Setups

Loading Page setups from a template drawing.
You may want to quickly load a set of predefined page setups from a template (standard) drawing file (DWG or DWT). Use the following LISP code to define the PStps command and then run this command to load the standard setups.
(defun C:PStps ()
(command "._-PSETUPIN" "my_plot_configurations.dwg" "*")
)
Alternatively, you can also just assign this code to a menu macro or a tool palette:
._-PSETUPIN s:/templates/company_standards.dwt *

You can use multi-pagesetup.lsp to assign the loaded setup to multiple layouts.
Author: CAD Forum - http://www.cadforum.cz/


Shapes

Creating a box with Center Point
You can use the Center Point option of the BOX command to create a box using a specified center point.
Author: Karyn Reynolds - Autodesk

Draw a coil
You can create a spring or coil shape by using the SWEEP command to sweep a circle along a helix (HELIX command) path.
Author: Karyn Reynolds - Autodesk

How to draw a 3D spiral in AutoCAD?
To draw a spiral curve use the 3DSPIRAL function in the SPIRAL.LSP utility - can be downloaded from www.xanadu.cz/download.
If you need a 3D coil (spring) as a solid body (model), draw a circle (or another profile) and extrude it along the 3D spiral trajectory using the _EXTRUDE command. Or use the SOL_SPRING function in the LSP archive as above (sol_spring.lsp).

Since AutoCAD 2007 you can also use the HELIX command.
Author: CAD Forum - http://www.cadforum.cz/


Solids

Create efficient 3D solid models
You can create 3D solid models efficiently by combining regions in 2D to create a complex profile, and then extruding, revolving, or sweeping the profile in 3D.
Author:
Dieter Schlaepfer - Autodesk

Checking the fidelity of 3D solid models
Check the fidelity of 3D solid models with orthographic views. It’s very easy to be fooled visually when working in 3D.
Author:
Dieter Schlaepfer - Autodesk

Ensure that the corners of 3D solids blend correctly
To make sure that the corners of 3D solids blend correctly, select all intersecting edges of a 3D solid within a single FILLET command.
Author:
Dieter Schlaepfer - Autodesk

See your options before modifying a 3D solid
Sometimes there are several possible results when you modify a 3D solid. When you move, rotate, or scale subobjects (faces, edges, and vertices), you can press CTRL while you drag to cycle through modification options.
Author: Karyn Reynolds - Autodesk

Selecting faces on 3D solids
When you press and hold CTRL to select faces on 3D solids, the front-facing face in the foreground is detected first. You can select a back-facing face that lies behind the front-facing face by pressing SPACEBAR (with CTRL still pressed).
Author:
Karyn Reynolds - Autodesk

Selecting individual forms of composites in a composite solid
When a composite solid is made up of other composite solids, you can select the original individual forms of composites within composites by holding down the CTRL key and continuing to click on the forms.
Author:
Karyn Reynolds - Autodesk

The history of your solid primitive
If you move, rotate, or scale a face, edge, or vertex on a 3D solid primitive, the solid primitive’s history is removed. The solid is no longer a true primitive and cannot be manipulated as such (through grips and the Properties palette).
Author:
Karyn Reynolds - Autodesk


Spaces

Switching between model space and paper space

To switch between model and paper space (in layout view) enter in command line 'MS' or 'PS' respectively.
Author:
Luke Author: Liddicoat - Fibrelogic


Sub entities / sub objects

Create a selection set of more than one subobject
You can create a selection set of more than one subobject (faces, edges, and vertices) on any number of solids by pressing and holding CTRL, and then selecting these subobjects. Your selection set can also include more than one type of subobject. You can also use CTRL to select subobjects (faces, edges, and vertices) on 3D solids at the selection prompts of the MOVE, ROTATE, SCALE, and ERASE commands.
Author:
Karyn Reynolds - Autodesk

Selecting just the right subentitiy
When selecting subentities while pressing the CTRL key, you may want to select a face which appears behind another entity. While holding the CTRL key, hit the spacebar once to cycle between subentities until the one you want is selected. This requires the SELECTIONPREVIEW system variable be set to be enabled. Refer to the help documentation for the different settings for this variable.
Author: Chaffee Vo-Vu - Autodesk

Selecting sub-entities on 3D solids
Press and hold the CTRL key to select sub-entities (faces, edges, and vertices) on 3D solids. Pressing the CTRL key has the same effect when dragging a window selection.
Author:
Chaffee Vo-Vu - Autodesk


Surfaces

Convert surfaces to solids
You can use the THICKEN command to convert surfaces to solids.
Author:
Karyn Reynolds - Autodesk

How to convert surfaces to 3D solids?
Since AutoCAD 2007 you can easily convert a surface model to a volume (solid body). Run the THICKEN command and enter thickness for the selected surface. For elevated polylines and similar entities you can also use the CONVTOSOLID command.

If you need to change e.g. 3DFACE (3D faces) to 3DSOLIDs, convert the 3DFaces first to surfaces with the CONVTOSURFACE command.
Author: CAD Forum - http://www.cadforum.cz/


Tables

Keeping your tables in sync
When using the Attribute Extraction feature, selecting the "Select objects" or "Current drawing" data sources and creating an AutoCAD table, you can receive bubble notifications when the table becomes out of sync (eg: attributes are edited, or blocks are added/deleted). Search the help documentation for "Attribute Extraction".
Author:
Chaffee Vo-Vu - Autodesk


Textures

Troubleshooting textures
Textures not showing up in the viewport? Look at your Visual Style setting and be sure that “Materials display” is set to “Materials and textures”.
Author:
Shana Priwer - Autodesk


Text

How to copy text contents from one text entity to another?
If you need to transfer a text string from a source text object to another text object (or multiple objects), you can use the copy-paste method:

  • double-click on the source text (into text editor)
  • Ctrl+C
  • double-click on the target/destination text (into text editor)
  • Ctrl+V

To copy the source text into many entities you can use the KopirujText LISP utility (for download on www.xanadu.cz/download).
Author: CAD Forum - http://www.cadforum.cz/

How to find a dot (.), asterisk (*) or question mark (?) in the drawing text?
When entering the text to find in the Search and Replace dialog (the FIND command) you can use wildcard characters (since version 2006). If you really want to find the entered character (being a wildcard), you need to add the prefix (escape) character "back apostrophe" (`).
The wildcard characters are:

# (hash) - numerals
@ (at) - alphabet characters
. (dot) - non-alphanumeric characters
* (asterisk) - any string
? (question mark) - any character
~ (tilde) - all but the pattern
[ ] (brackets) - list of characters or interval
` (back apostrophe) - take the following character verbatim (as a standard one)
Author: CAD Forum - http://www.cadforum.cz/

How to move text entities to the Z-elevation by their text value
You have text labels (entities) like "284.4", "731.11" on given locations in your drawing and you want to individually move (displace) these texts to Z coordinates corresponding to their text values (Z=284.4, etc.).
For this you can use the free TEXT2ELEV utility available
on www.xanadu.cz/. In case of block attributes you can use e.g. Excellink.(http://www.xanadu.cz/excellink)
Author: CAD Forum - http://www.cadforum.cz/

Text always readable in the MTEXT editor
If the MTEXTFIXED variable is set to 2 the text editor zooms automatically to the edited text. So the text remains readable even if it is too close (large), too far (small), rotated or off-screen.
Author: CAD Forum - http://www.cadforum.cz/


Toggling

Toggling between nested viewports in paper space
In paper space, we enter a model space viewport by double clicking inside the viewport extents, however if you have a viewport within a viewport, it is impossible to pick the internal viewport Press "Ctrl r " and you can toggle between all the viewports including the one you could not pick before.
Author: John Vos - ABB Grain Ltd


Toolbars / tool palettes

Don't underestimate Tool Palettes (CTRL+3)
This tool is not to be underestimated, create all the blocks you want and simply open both the tool palette and windows explorer, then drag your blocks onto the tool palette It will copy them into the tool and make them readily available for you to use. In the options you can set the transparency of the palette and make it rill away to minimize it when not in use (also available for other palettes).
Author: Lee Corstorphine - BBC Fire Protection Limited

How to display an invisible toolbar?
To show (show again) icons of a selected AutoCAD toolbar use the -TOOLBAR command, or right click in an empty area for toolbars and check the required tool panel in the context menu. Initial visibility of toolbars can be set in the CUI dialog.
Author: CAD Forum - http://www.cadforum.cz/

Prevent your toolbars and palettes from docking
When dragging toolbars and palette windows you can press and hold the CTRL key to prevent them from docking.
Author: Chaffee Vo-Vu - Autodesk


Trim

Trim and extend without fences
To trim and extend in AutoCAD - no fences required - window multiple lines to extend once boundary is selected. Save even more time!
Author: Autodesk


UCS

Enabling Dynamic UCS
To temporarily enable/disable the Dynamic UCS feature, press and hold F6, SHIFT+Z, or SHIFT+/ (for lefties).
Author: Chaffee Vo-Vu - Autodesk

Non-unitary UCS Y axis; normalizing
This message can appear on drawings converted from a non-Autodesk CAD program or created with an add-on application.
In the given view (viewport, layout) use the UCS W command to force the World UCS. Or try to change the drawing units. Also perform an audit of the complaining drawing (AUDIT, RECOVER).
Author: CAD Forum - http://www.cadforum.cz/

Rotating the UCS when working in 3D
When working in 3D, it is often useful to rotate the UCS exactly 90 degrees around one of its axes. In this case, use the X, Y, or Z options of the UCS command. Use the right-hand rule to determine whether the rotation should be positive or negative 90 degrees.
Author: Dieter Schlaepfer - Autodesk

Using the dynamic UCS feature
When working in 3D, you can also use the dynamic UCS feature during the UCS command. This is a fast and reliable technique to make sure that the XY plane of the UCS is located exactly on the plane that you want to work on.
Author:
Dieter Schlaepfer - Autodesk


Units

Convert units quickly
Let's say you want to draw a 12mm hole in a drawing that is mainly in inch units. Try this: create the circle by defining its diameter as 120/254. It seems like you could do 12/25.4, but AutoCAD LT only likes to divide whole numbers. By multiplying both numbers by 10 you don't need the decimal. This both saves time from looking it up on a chart or grabbing a calculator -- and it is many times more accurate since AutoCAD uses more digits of accuracy than your calculator.
Author: Chris Willey - Anderson Hardwood Floors


Viewports

Lock the display of a Viewport
One of my biggest pet peeves is an AutoCAD operator that does not lock the display of a viewport in Layout (paperspace). It is very annoying when another user double-clicks the middle of a viewport to make a change in model space but zooms and changes the scale.

To prevent a user from changing the scale of a viewport use the Display Lock option in the Properties of the Viewport:

  1. Select the viewport.
  2. Open the Properties.
  3. Scroll down to find Display Lock (default is NO)
  4. Change the NO to YES.

Now, if you were to double-click inside the viewport and zoom, you are still zooming the paperspace, not the model space. This prevents a user from messing-up the scale.
Author: The Mad Cadder - http://themadcadder.blogs.com/

Lock the display of a Viewport

  • select the viewport
  • press right mouse key
  • menu opens
  • select Lock viewport Yes

Tip for the reverse:
when you are in a locked viewport choose 3d orbit, use rightmousekey to pan ! this way you do not have to unlock and relock the viewport. (be careful not to use the left mousekey or you will start orbitting !)
Author: hans geerligs - hge@interwand.nl

Locking viewports
You can lock a viewport. If you are in paper space, it does not allow the user to change the scale of the viewport. Right-click anywhere on the viewport and go to Properties...Misc...Display locked and change the value in the Properties window to Yes. Make sure your viewport is to scale before you do this!
Author: Dan Middleton - Magnagraphic Designse


Visibility

Visibility state
Using the right click menu on a selected item in the block editor you can change the visibility state of an object. Useful on the parameters & actions that I create in one visibility state but want to use in all states.


X-refs

Accessing old versions of the IMAGE and XREF commands.

AutoCAD 2007 introduced a centralized External References Manager which also takes over (is mapped to) the standard IMAGE and XREF commands. If you want to use the old classic dialogs of these two commands, you can use the commands CLASSICIMAGE and CLASSICXREF respectively.
The commandline versions -IMAGE and -XREF are not influenced.
Author: CAD Forum - http://www.cadforum.cz/

How to bind Xrefs with the main drawing?

To bind/insert all Xrefs into the main DWG drawing you can use the command:
_XREF _Bind *
Binding method (bind/insert) is controlled by the BINDTYPE variable.
Author: CAD Forum - http://www.cadforum.cz/

How to clip a xref with a hole/island inside?

You want to clip an external reference or other part of your drawing but you want to suppress (wipeout, mask) an inside region, not the outside part.
There are several ways to do this - e.g.:
- Use XCLIP with a 'keyhole' type of the clipping polyline (a narrow path from outside to the inside isle)
- Instead of XCLIP use a WIPEOUT to wipe the inside hole (the usage is not limited to xrefs)
- Use MVIEW with regions in a layout. Draw the outside polygon, draw the inside polyline/isle, make REGIONs from both of the polylines and SUBTRACT them. Use the resulting region as a clipping object for your MVIEW.
Author: CAD Forum - http://www.cadforum.cz/

Demand load x-refs

When using Xrefs make sure your "Demand load Xrefs" is set to Enabled with copy. This will enable other people to work on the source files while you have the drawing open. This can be found in the "Open and Save" tab of the Options dialogue box.
Author: Michael Ragg - Jefferson Sheard Architects


Zoom

Quickly zoom extents

To zoom extents within model or paper space, just double click the wheel on your mouse.
Author: Richard Fowler - Roberts Gardner Ltd

Setting up a custom ZOOM button
Frequently I want to zoom so that what is viewed on my screen is the actual size of the object. To do this, I set up a button with the following command: ^C^C_ZOOM _C \6.8 This uses the Zoom Center command, and prompts me to pick a center point. It then zooms to a factor of 6.8 (Yours will vary depending on your monitor - to determine yours, just zoom in until you are satisfied and then checkout the value using the VIEWSIZE command.
Author: Chris Willey - Anderson Hardwood Floorsk

Zoom
Many users of AutoCAD 2006 and 2007 do not like the new dynamic zoom effect in the application. When using the zoom window or zoom extents command, the drawing area zooms in or out very smoothly. It almost looks like a guided missile going in for the kill. If you do not like this new zoom look, there is a system variable that controls this "VTENABLE".

The VTENABLE system variable is set to 3 by default. Setting this to 0 will have the zoom command act as it did in past releases.
Author: The Mad Cadder - http://themadcadder.blogs.com/

 


 


 
 
Autodesk Accreditations
 
 
Cadplan is a

Level 7 BBBEE contributor & Value Added Supplier
CPD Accredited - CPD points for Revit & AutoCAD courses

GBCSA Member Organisation
 
 
 
Authorized resellers for:
Canon Distribution Partner Tools for Revit Microsoft Office Norton Dell Windows 7 Apple Authorized Reseller
 
 

About us | BBBEE Scorecard | Autodesk Training Centre Accreditation | Press |
Subscription explained | Licensing, activation | Financing, renting sofware
 
JHB 011 804-2425 CT 021 685-5153   South Africa, www.cadplan.co.za
Johannesburg, Gallo Manor Tel: +27 11 804 2425 | Fax: 086 552-0228 | Email: info@cadplan.co.za
Cape Town 021 794 3729 | Fax: 086 216 9300 | Email: sales@cadplan-cape.com

JHB 011 804-2425 (info@cadplan.co.za), CT 021 685-5153 (sales@cadplan-cape.com)